Listar sessões de checkout
curl --request GET \
--url https://api.upag.io/v1/checkout/sessions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.upag.io/v1/checkout/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.upag.io/v1/checkout/sessions';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));Sessões de checkout
Listar sessões de checkout
Lista as sessões de checkout da conta, da mais nova para a mais antiga
GET
https://api.upag.io
/
v1
/
checkout
/
sessions
Listar sessões de checkout
curl --request GET \
--url https://api.upag.io/v1/checkout/sessions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.upag.io/v1/checkout/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.upag.io/v1/checkout/sessions';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));Lista as sessões de checkout da conta, da mais nova para a mais antiga, com filtros opcionais.
Permissão:
Cada item tem o mesmo formato da sessão.
checkout_session.read. Apenas chave secreta (sk_…).
Os exemplos usam o sandbox (
https://api.upag.dev/v1). Em produção use https://api.upag.io/v1 com sk_live_….Endpoint
curl -G https://api.upag.dev/v1/checkout/sessions \
-H "Authorization: Bearer sk_test_your_api_key" \
-d "status=open" \
-d "customer=8c1f0a26-5d3b-4f1e-9c72-1a4e6b9d0f83" \
-d "page=1" \
-d "limit=15"
import { Upag } from 'upag';
const upag = new Upag('sk_test_your_api_key');
const { data, count } = await upag.checkoutSessions.list({
status: 'open',
customer: '8c1f0a26-5d3b-4f1e-9c72-1a4e6b9d0f83',
page: 1,
limit: 15,
});
Query
string
open, complete ou expired.string (uuid)
Filtra pelas sessões de um cliente.
string (uuid)
Filtra por um ID específico.
integer
default:"1"
Página, a partir de 1.
integer
default:"15"
Itens por página, mínimo 1.
Resposta
200 OK. count é o total de sessões que batem com o filtro, não o tamanho da página.
Response
{
"data": [
{
"id": "4f9d2b71-6c03-4e58-9a1d-8b3e7c0f5a26",
"customer": "8c1f0a26-5d3b-4f1e-9c72-1a4e6b9d0f83",
"checkoutLayout": null,
"paymentLink": null,
"paymentMethods": ["pix", "card"],
"subscriptionData": {
"trial": null,
"trialEnd": null,
"trialSettings": {
"endBehavior": { "missingPaymentMethod": "create_invoice" }
}
},
"paymentMethodCollection": "always",
"status": "open",
"url": "https://checkout.upag.io/cs/4f9d2b71-6c03-4e58-9a1d-8b3e7c0f5a26",
"expiresAt": "2026-10-08T19:00:00.000Z",
"createdAt": "2026-10-07T19:00:00.000Z",
"updatedAt": "2026-10-07T19:00:00.000Z",
"billingAddressCollection": "auto",
"successUrl": "https://exemplo.com.br/obrigado",
"cancelUrl": "https://exemplo.com.br/carrinho",
"latitude": null,
"longitude": null,
"country": null,
"region": null,
"city": null,
"invoice": null,
"subscription": null,
"couponEnabled": true,
"couponCode": null,
"items": [
{
"id": "b7e1c4a9-3d52-4f08-86a1-2c9d5e7f0b34",
"price": "3a7e9c14-6b2d-4f85-9e10-5c8d2a7b4f61",
"quantity": 1
}
],
"bumps": [],
"discounts": []
}
],
"count": 1
}